Subject: bug#28270: 26.0.50; vc-follow-symlinks doesn't work after commit e8001d4c27 "Do not munge contents of local symbolic links"

From: "Diego A. Mundo" <[email-masked]>
Date: Mon, 28 Aug 2017 23:14:08 -0400

Using (setq vc-follow-symlinks t) after emacs -q no longer seems to have any effect after commit e8001d4c27 "Do not munge contents of local symbolic links". That is, using this setting, I expect visiting a symlink to a version controlled file to take me to the directory of the original file (which was the previous behavior), but now instead of that I am kept in the symlink directory. If I revert this commit, the behavior goes back to normal.

- Diego